<?php
$honapok = array(
    1 => 'Január',
    2 => 'Február',
    3 => 'Március',
    4 => 'Április',
    5 => 'Május',
    6 => 'Június',
    7 => 'Július',
    8 => 'Augusztus',
    9 => 'Szeptember',
    10 => 'Október',
    11 => 'November',
    12 => 'December'
);

print isset($bigRedDiv) ? $bigRedDiv : '';

print '<div id="" style="display:block;">';
print '<label for="year">Év:</label>
        <select name="year" id="year">';
$currentYear = date("Y", strtotime("-1 year"));
echo '<option value="" disabled selected>Válasszon évet...</option>';
for ($ev = $currentYear; $ev <= $currentYear + 7; $ev++) {
    $selectYear = isset($year) && $year == $ev ? 'selected' : '';
    print '<option value="' . $ev . '" '. $selectYear .'>' . $ev . '</option>';
}
print '</select>
        <label for="month">Hónap:</label>
        <select name="month" id="month">';
        print '<option value="" disabled selected>Válasszon hónapot...</option>';

        foreach ($honapok as $key => $value) {
            $selectMonth = isset($month) && $month == $key ? 'selected' : '';
            print '<option value="' . $key . '" ' . $selectMonth . '>' . $value . '</option>';
        }
print '</select>';

print '<button type="submit" style="margin-left: 20px;">' . $langs->trans('select') . '</button>';
print '</div>';